## khangman 16.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(khangman)

option(BUILD_KHANGMAN_DESKTOP       "Build KHangMan for KDE Desktop"        ON)
option(BUILD_KHANGMAN_PLASMA_ACTIVE "Build KHangMan for Plasma Active"      OFF)

include(FeatureSummary)
find_package(Qt5 REQUIRED COMPONENTS Core Qml Quick QuickWidgets Svg)

find_package(ECM 1.7.0 NO_MODULE REQUIRED)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(GenerateExportHeader)
include(ECMAddAppIcon)

find_package(KF5 5.15.0 REQUIRED COMPONENTS
    I18n
    Crash
    Completion
    Config
    CoreAddons
    ConfigWidgets
    Declarative
    DocTools
    NewStuff
    Notifications
    XmlGui
    KIO
)

find_package(LibKEduVocDocument REQUIRED)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

add_subdirectory( doc )
add_subdirectory( src )

if(BUILD_KHANGMAN_DESKTOP)
    add_subdirectory( themes )
    add_subdirectory( fonts )
endif()

add_subdirectory( icons )

install(FILES org.kde.khangman.appdata.xml DESTINATION ${KDE_INSTALL_DATAROOTDIR}/appdata/)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
khangman (4:16.08.3-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 21:10:29 +0100

khangman (4:16.08.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (16.08.1)
  * Update install files

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 12:42:35 +0200

khangman (4:16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Thu, 26 May 2016 00:47:54 +0200

=== debian/control ===
Source: khangman
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7.0~),
               kdoctools-dev (>= 5.15.0~),
               kio-dev (>= 5.15.0~),
               libkeduvocdocument-dev,
               libkf5completion-dev (>= 5.15.0~),
               libkf5config-dev (>= 5.15.0~),
               libkf5configwidgets-dev (>= 5.15.0~),
               libkf5coreaddons-dev (>= 5.15.0~),
               libkf5crash-dev (>= 5.15.0~),
               libkf5declarative-dev (>= 5.15.0~),
               libkf5doctools-dev (>= 5.15.0~),
               libkf5i18n-dev (>= 5.15.0~),
               libkf5kio-dev (>= 5.15.0~),
               libkf5newstuff-dev (>= 5.15.0~),
               libkf5notifications-dev (>= 5.15.0~),
               libkf5xmlgui-dev (>= 5.15.0~),
               libphonon4qt5-dev (>= 4.6.60),
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.4),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4)
Standards-Version: 3.9.8
Homepage: http://edu.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/khangman.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/khangman.git

Package: khangman
Architecture: any
Section: misc
Depends: fonts-dustin, kdeedu-kvtml-data, ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Description: Hangman word puzzle
 KHangMan is the well-known Hangman game, aimed towards children aged 6 and
 above.
 .
 It picks a random word which the player must reveal by guessing if it contains
 certain letters.  As the player guesses letters, the word is gradually
 revealed, but 10 wrong guesses will end the game.
 .
 This package is part of the KDE education module.

## khangman 16.12.3

=== debian/changelog ===
khangman (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:29:16 +0000

khangman (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Clive Johnston ]
  * Fixing install file

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:18:02 +0000

=== debian/control ===
Source: khangman
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkeduvocdocument-dev (>= 4:16.12.3~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libphonon4qt5-dev (>= 4.6.60),
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.6.1~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://edu.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khangman
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khangman

Package: khangman
Architecture: any
Section: misc
Depends: fonts-dustin, kdeedu-kvtml-data, ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Description: Hangman word puzzle
 KHangMan is the well-known Hangman game, aimed towards children aged 6 and
 above.
 .
 It picks a random word which the player must reveal by guessing if it contains
 certain letters.  As the player guesses letters, the word is gradually
 revealed, but 10 wrong guesses will end the game.
 .
 This package is part of the KDE education module.

## khangman 17.04.3

=== debian/changelog ===
khangman (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * Sync QML dependencies with Neon
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:33:28 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkeduvocdocument-dev (>= 4:16.12.3~),
+               libkeduvocdocument-dev (>= 4:17.04.3~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
                libkf5configwidgets-dev (>= 5.31.0~),
@@ -35,8 +35,20 @@
 Package: khangman
 Architecture: any
 Section: misc
-Depends: fonts-dustin, kdeedu-kvtml-data, ${misc:Depends}, ${shlibs:Depends}
+Depends: fonts-dustin,
+         kdeedu-kvtml-data,
+         qml-module-qtgraphicaleffects,
+         qml-module-qtmultimedia,
+         qml-module-qtquick-controls,
+         qml-module-qtquick-dialogs,
+         qml-module-qtquick-layouts,
+         qml-module-qtquick-window2,
+         qml-module-qtquick2,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Suggests: khelpcenter
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: Hangman word puzzle
  KHangMan is the well-known Hangman game, aimed towards children aged 6 and
  above.

## khangman 17.08.3

=== debian/changelog ===
khangman (4:17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Adjust again l10npkgs_firstversion_ok to the fixed version of kde-
    l10n.

 -- Pino Toscano <pino@debian.org>  Mon, 20 Nov 2017 20:55:33 +0100

khangman (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will drop
    translations.
  * Simplify watch file, and switch it to https.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Stop forcing debian/tmp as local installation directory, installing
    everything to the final location
    - make sure to remove the local fonts, as it already depends on (and use)
      the system versions
    - drop khangman.install, khangman.manpages, and not-installed, no more
      useful now

 -- Pino Toscano <pino@debian.org>  Sun, 19 Nov 2017 12:27:43 +0100

khangman (4:17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Bump kde-l10n breaks/replaces versions
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 18 Sep 2017 15:06:23 +0200

khangman (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:01:23 +0000

khangman (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:35:26 +0000

khangman (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:21:23 +0000

khangman (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:21:51 +0000

khangman (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:17:54 +0000

khangman (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:04:07 +0000

khangman (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:48:23 +0000

khangman (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:59:03 +0000

khangman (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:18:59 +0000

khangman (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:27:44 +0000

khangman (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:54:24 +0000

khangman (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:39:53 +0000

khangman (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:06:48 +0000

khangman (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:48:48 +0000

khangman (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:38:26 +0000

khangman (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 16 Jun 2016 11:08:44 +0000

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-4~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_install:
	$(overridden_command)
	# remove fonts, so it will use the system Dustismo fonts
	# (see fonts-dustin)
	rm -rf debian/khangman/usr/share/khangman/fonts/

## khangman 17.12.3

=== po/ga/data/khangman/CMakeLists.txt ===
install( FILES  ga.txt  DESTINATION ${DATA_INSTALL_DIR}/khangman )

=== po/nds/data/khangman/CMakeLists.txt ===
install( FILES  nds.txt  DESTINATION ${DATA_INSTALL_DIR}/khangman )

=== po/nn/data/khangman/CMakeLists.txt ===
install( FILES  nn.txt  DESTINATION ${DATA_INSTALL_DIR}/khangman )

=== po/sv/data/khangman/CMakeLists.txt ===
install( FILES  sv.txt  DESTINATION ${DATA_INSTALL_DIR}/khangman )

=== debian/changelog ===
khangman (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:27:07 +0000

khangman (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:57:57 +0000

khangman (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:05:51 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkeduvocdocument-dev (>= 4:17.04.3~),
+               libkeduvocdocument-dev (>= 4:17.12.3~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
                libkf5configwidgets-dev (>= 5.31.0~),

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/khangman-([\d.]+).tar.xz

## khangman 18.04.3

=== debian/changelog ===
khangman (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:17:32 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkeduvocdocument-dev (>= 4:17.12.3~),
+               libkeduvocdocument-dev (>= 4:18.04.3~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
                libkf5configwidgets-dev (>= 5.31.0~),
@@ -26,7 +26,7 @@
                libqt5svg5-dev (>= 5.6.1~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),
-               qtdeclarative5-dev (>= 5.6.1~)
+               qtdeclarative5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: http://edu.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khangman

## khangman 18.12.3

=== debian/changelog ===
khangman (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:28:54 +0000

khangman (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:16:13 +0000

khangman (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:10:57 +0000

khangman (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:49:19 +0000

khangman (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Bumped build deps.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 31 Dec 2018 10:18:18 +0000

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>,
            Sune Vuorela <sune@debian.org>,
-           Maximiliano Curia <maxy@debian.org>
+           Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkeduvocdocument-dev (>= 4:18.04.3~),
+               libkeduvocdocument-dev (>= 4:18.12.3~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
                libkf5configwidgets-dev (>= 5.31.0~),
@@ -27,7 +27,7 @@
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
-Standards-Version: 3.9.6
+Standards-Version: 4.1.1
 Homepage: http://edu.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khangman
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khangman
@@ -45,7 +45,7 @@
          qml-module-qtquick-window2,
          qml-module-qtquick2,
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Suggests: khelpcenter
 Breaks: ${kde-l10n:all}
 Replaces: ${kde-l10n:all}

## khangman 19.04.3

=== debian/changelog ===
khangman (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:14:33 +0100

khangman (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:06:13 +0100

khangman (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:58:21 +0100

khangman (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:43:51 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkeduvocdocument-dev (>= 4:18.12.3~),
+               libkeduvocdocument-dev (>= 4:19.04.3~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
                libkf5configwidgets-dev (>= 5.31.0~),

## khangman 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

# KDE Application Version, managed by release script
set(KDE_APPLICATIONS_VERSION_MAJOR "19")
set(KDE_APPLICATIONS_VERSION_MINOR "12")
set(KDE_APPLICATIONS_VERSION_MICRO "3")
set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

project(khangman VERSION ${KDE_APPLICATIONS_VERSION})

include(FeatureSummary)
find_package(Qt5 REQUIRED COMPONENTS Core Qml Quick QuickWidgets Svg)

find_package(ECM 1.7.0 NO_MODULE REQUIRED)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(GenerateExportHeader)
include(ECMAddAppIcon)
include(ECMSetupVersion)

find_package(KF5 5.15.0 REQUIRED COMPONENTS
    I18n
    Crash
    Completion
    Config
    CoreAddons
    ConfigWidgets
    Declarative
    DocTools
    NewStuff
    Notifications
    XmlGui
    KIO
)

find_package(LibKEduVocDocument REQUIRED)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
endif()

add_subdirectory( doc )
add_subdirectory( src )

add_subdirectory( themes )
add_subdirectory( fonts )

add_subdirectory( icons )

install(FILES org.kde.khangman.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()
include(ECMOptionalAddSubdirectory)
ecm_optional_add_subdirectory(po)

=== po/CMakeLists.txt ===
add_subdirectory(ca/data/khangman)
add_subdirectory(cs/data/khangman)
add_subdirectory(da/data/khangman)
add_subdirectory(de/data/khangman)
add_subdirectory(es/data/khangman)
add_subdirectory(et/data/khangman)
add_subdirectory(fi/data/khangman)
add_subdirectory(fr/data/khangman)
add_subdirectory(ga/data/khangman)
add_subdirectory(gl/data/khangman)
add_subdirectory(hu/data/khangman)
add_subdirectory(nb/data/khangman)
add_subdirectory(nds/data/khangman)
add_subdirectory(nn/data/khangman)
add_subdirectory(pl/data/khangman)
add_subdirectory(pt/data/khangman)
add_subdirectory(pt_BR/data/khangman)
add_subdirectory(sl/data/khangman)
add_subdirectory(sr/data/khangman)
add_subdirectory(sv/data/khangman)
add_subdirectory(tr/data/khangman)

=== src/CMakeLists.txt ===
ecm_setup_version(${KDE_APPLICATIONS_VERSION} VARIABLE_PREFIX KHANGMAN VERSION_HEADER khangman_version.h)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${QT_INCLUDES}
    ${PHONON_INCLUDES}
)

set(khangman_SRCS main.cpp khangman.cpp khmtheme.cpp khmthemefactory.cpp langutils.cpp)
kconfig_add_kcfg_files(khangman_SRCS prefs.kcfgc)
add_executable(khangman ${khangman_SRCS})
# generate_export_header(khangman BASE_NAME KHANGMAN)

target_link_libraries(khangman
    Qt5::QuickWidgets
    Qt5::Core
    KF5::Crash
    KF5::I18n
    KF5::NewStuff
    KF5::Declarative
    LibKEduVocDocumentImport__KEduVocDocument
)

install(
    FILES
    khangman.kcfg
    DESTINATION
    ${KDE_INSTALL_KCFGDIR}
)

install(
    FILES
    khangman.knsrc
    DESTINATION
    ${KDE_INSTALL_CONFDIR}
)

install(
    DIRECTORY qml/
    DESTINATION ${KDE_INSTALL_DATADIR}/khangman/qml)

install(
    FILES org.kde.khangman.desktop
    DESTINATION ${KDE_INSTALL_APPDIR}
)

install(
    TARGETS khangman  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

=== po/hu/data/khangman/CMakeLists.txt ===
install( FILES  hu.txt  DESTINATION ${DATA_INSTALL_DIR}/khangman )

=== po/sl/data/khangman/CMakeLists.txt ===
install( FILES  sl.txt  DESTINATION ${DATA_INSTALL_DIR}/khangman )

=== debian/changelog ===
khangman (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:09:48 +0000

khangman (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:20:18 +0000

khangman (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:54:23 +0000

khangman (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:48:01 +0000

khangman (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:32:44 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkeduvocdocument-dev (>= 4:19.04.3~),
+               libkeduvocdocument-dev (>= 4:19.12.3~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
                libkf5configwidgets-dev (>= 5.31.0~),

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,7 @@
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 override_dh_auto_install:
-	$(overridden_command) --destdir=debian/tmp
+	$(overridden_command)
+	# remove fonts, so it will use the system Dustismo fonts
+	# (see fonts-dustin)
+	rm -rf debian/khangman/usr/share/khangman/fonts/

## khangman 20.08.1

=== debian/changelog ===
khangman (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:53:38 +0100

khangman (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:47:02 +0100

khangman (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:37:36 +0100

khangman (4:20.04.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jun 2020 13:15:19 +0100

khangman (4:20.04.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 15 May 2020 14:35:48 +0100

khangman (4:20.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
    - explicitly add gettext
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 02 May 2020 12:53:15 +0200

=== debian/control ===
Source: khangman
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 1.7.0~),
               gettext,
               libkeduvocdocument-dev (>= 4:20.08.1~),
               libkf5completion-dev (>= 5.15.0~),
               libkf5config-dev (>= 5.15.0~),
               libkf5configwidgets-dev (>= 5.15.0~),
               libkf5coreaddons-dev (>= 5.15.0~),
               libkf5crash-dev (>= 5.15.0~),
               libkf5declarative-dev (>= 5.15.0~),
               libkf5doctools-dev (>= 5.15.0~),
               libkf5i18n-dev (>= 5.15.0~),
               libkf5kio-dev (>= 5.15.0~),
               libkf5newstuff-dev (>= 5.15.0~),
               libkf5notifications-dev (>= 5.15.0~),
               libkf5xmlgui-dev (>= 5.15.0~),
               libphonon4qt5-dev (>= 4.6.60),
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.4),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4),
Standards-Version: 4.5.0
Homepage: http://edu.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/khangman
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/khangman.git

Package: khangman
Architecture: any
Section: misc
Depends: fonts-dustin,
         kdeedu-kvtml-data,
         qml-module-qtgraphicaleffects,
         qml-module-qtmultimedia,
         qml-module-qtquick-controls,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Hangman word puzzle
 KHangMan is the well-known Hangman game, aimed towards children aged 6 and
 above.
 .
 It picks a random word which the player must reveal by guessing if it contains
 certain letters.  As the player guesses letters, the word is gradually
 revealed, but 10 wrong guesses will end the game.
 .
 This package is part of the KDE education module.

## khangman 20.12.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "20")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "1")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(khangman VERSION ${RELEASE_SERVICE_VERSION})

include(FeatureSummary)
find_package(Qt5 REQUIRED COMPONENTS Core Qml Quick QuickWidgets Svg)

find_package(ECM 5.15.0 NO_MODULE REQUIRED)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(GenerateExportHeader)
include(ECMAddAppIcon)
include(ECMSetupVersion)

find_package(KF5 5.17.0 REQUIRED COMPONENTS
    I18n
    Crash
    Completion
    Config
    CoreAddons
    ConfigWidgets
    DocTools
    NewStuff
    Notifications
    XmlGui
    KIO
)

find_package(LibKEduVocDocument REQUIRED)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)


add_subdirectory( doc )
add_subdirectory( src )

add_subdirectory( themes )
add_subdirectory( fonts )

add_subdirectory( icons )

ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
endif()
install(FILES org.kde.khangman.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
include(ECMOptionalAddSubdirectory)
ecm_optional_add_subdirectory(po)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-ecm_setup_version(${KDE_APPLICATIONS_VERSION} VARIABLE_PREFIX KHANGMAN VERSION_HEADER khangman_version.h)
+ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KHANGMAN VERSION_HEADER khangman_version.h)
 
 include_directories(
     ${CMAKE_CURRENT_SOURCE_DIR}
@@ -18,7 +18,6 @@
     KF5::Crash
     KF5::I18n
     KF5::NewStuff
-    KF5::Declarative
     LibKEduVocDocumentImport__KEduVocDocument
 )

=== po/ca/data/khangman/CMakeLists.txt ===
install(FILES ca.txt DESTINATION ${DATA_INSTALL_DIR}/khangman/)

=== debian/changelog ===
khangman (4:20.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Re-export upstream signing key without extra signatures.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update the build dependencies according to the upstream build system:
    - bump extra-cmake-modules to 5.15.0
    - bump KF packages to 5.17.0
    - drop libkf5declarative-dev, no more needed
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Bump Standards-Version to 4.5.1, no changes required.
  * Add the configuration for the CI on salsa.
  * Add Rules-Requires-Root: no.

 -- Pino Toscano <pino@debian.org>  Thu, 07 Jan 2021 22:00:37 +0100

=== debian/control ===
--- 
+++ 
@@ -6,29 +6,29 @@
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.5~),
-               debhelper-compat (= 12),
-               extra-cmake-modules (>= 1.7.0~),
+               debhelper-compat (= 13),
+               extra-cmake-modules (>= 5.15.0~),
                gettext,
-               libkeduvocdocument-dev (>= 4:20.08.1~),
-               libkf5completion-dev (>= 5.15.0~),
-               libkf5config-dev (>= 5.15.0~),
-               libkf5configwidgets-dev (>= 5.15.0~),
-               libkf5coreaddons-dev (>= 5.15.0~),
-               libkf5crash-dev (>= 5.15.0~),
-               libkf5declarative-dev (>= 5.15.0~),
-               libkf5doctools-dev (>= 5.15.0~),
-               libkf5i18n-dev (>= 5.15.0~),
-               libkf5kio-dev (>= 5.15.0~),
-               libkf5newstuff-dev (>= 5.15.0~),
-               libkf5notifications-dev (>= 5.15.0~),
-               libkf5xmlgui-dev (>= 5.15.0~),
+               libkeduvocdocument-dev,
+               libkf5completion-dev (>= 5.17.0~),
+               libkf5config-dev (>= 5.17.0~),
+               libkf5configwidgets-dev (>= 5.17.0~),
+               libkf5coreaddons-dev (>= 5.17.0~),
+               libkf5crash-dev (>= 5.17.0~),
+               libkf5doctools-dev (>= 5.17.0~),
+               libkf5i18n-dev (>= 5.17.0~),
+               libkf5kio-dev (>= 5.17.0~),
+               libkf5newstuff-dev (>= 5.17.0~),
+               libkf5notifications-dev (>= 5.17.0~),
+               libkf5xmlgui-dev (>= 5.17.0~),
                libphonon4qt5-dev (>= 4.6.60),
                libphonon4qt5experimental-dev,
                libqt5svg5-dev (>= 5.4),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.4),
                qtdeclarative5-dev (>= 5.4),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: http://edu.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/khangman
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/khangman.git

## khangman 20.12.3

=== debian/changelog ===
khangman (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:20:04 +0000

khangman (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:54:12 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.15.0~),
                gettext,
-               libkeduvocdocument-dev,
+               libkeduvocdocument-dev (>= 4:20.12.3~),
                libkf5completion-dev (>= 5.17.0~),
                libkf5config-dev (>= 5.17.0~),
                libkf5configwidgets-dev (>= 5.17.0~),

## khangman 21.08.1

=== debian/changelog ===
khangman (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:33:43 +0100

khangman (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:02:22 +0100

khangman (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:55:37 +0100

khangman (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:33:56 +0100

khangman (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:43:25 +0100

khangman (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:40:05 +0100

khangman (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:06:33 +0100

khangman (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:35:42 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.15.0~),
                gettext,
-               libkeduvocdocument-dev (>= 4:20.12.3~),
+               libkeduvocdocument-dev (>= 4:21.08.1~),
                libkf5completion-dev (>= 5.17.0~),
                libkf5config-dev (>= 5.17.0~),
                libkf5configwidgets-dev (>= 5.17.0~),

## khangman 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.5)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "20")
+set(RELEASE_SERVICE_VERSION_MAJOR "21")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(khangman VERSION ${RELEASE_SERVICE_VERSION})

=== po/sk/data/khangman/CMakeLists.txt ===
install(FILES sk.txt DESTINATION ${DATA_INSTALL_DIR}/khangman/)

=== po/tg/data/khangman/CMakeLists.txt ===
install( FILES  tg.txt  DESTINATION ${DATA_INSTALL_DIR}/khangman )

=== debian/changelog ===
khangman (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:10:50 +0000

khangman (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:17:22 +0000

khangman (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:25:17 +0000

khangman (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:22:21 +0000

khangman (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:06:41 +0000

khangman (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:17:35 +0000

khangman (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:26:16 +0000

khangman (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:40:08 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: khangman
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
@@ -9,7 +10,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.15.0~),
                gettext,
-               libkeduvocdocument-dev (>= 4:21.08.1~),
+               libkeduvocdocument-dev (>= 4:21.12.3~),
                libkf5completion-dev (>= 5.17.0~),
                libkf5config-dev (>= 5.17.0~),
                libkf5configwidgets-dev (>= 5.17.0~),
@@ -30,8 +31,8 @@
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://edu.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/khangman
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/khangman.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khangman
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khangman
 
 Package: khangman
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-4~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5

override_dh_auto_install:
	dh_auto_install
	# remove fonts, so it will use the system Dustismo fonts
	# (see fonts-dustin)
	rm -rf debian/khangman/usr/share/khangman/fonts/

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

## khangman 22.08.1

=== debian/changelog ===
khangman (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:40:14 +0100

khangman (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:50:03 +0100

khangman (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:27:38 +0100

khangman (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:01:46 +0100

khangman (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:59:58 +0100

khangman (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:48:13 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.15.0~),
                gettext,
-               libkeduvocdocument-dev (>= 4:21.12.3~),
+               libkeduvocdocument-dev (>= 4:22.08.1~),
                libkf5completion-dev (>= 5.17.0~),
                libkf5config-dev (>= 5.17.0~),
                libkf5configwidgets-dev (>= 5.17.0~),
